STDBUF(1)

NAMN
stdbuf - kör KOMMANDO, med modifierade buffringsoperationer för dess standardströmmar

SYNOPSIS
stdbuf FLAGGA... KOMMANDO

BESKRIVNING

Kör KOMMANDO, med modifierade buffringsoperationer för dess standardströmmar.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

-i, --input=LÄGE
    Justera strömbuffring av standard in.

-o, --output=LÄGE
    Justera strömbuffring av standard ut.

-e, --error=LÄGE
    Justera strömbuffring av standard fel.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

Om LÄGE är ”L” kommer motsvarande ström vara radbuffrad. Detta alternativ är ogiltigt med standard in.

Om LÄGE är ”0” kommer motsvarande ström vara obuffrad.

Annars är LÄGE ett tal som kan följas av ett av följande:KB 1000, K 1024, MB 1000·1000, M 1024·1024, och så vidare för G,T,P,E,Z,Y,R,Q. Binära prefix kan också användas: KiB=K, MiB=M, och så vidare. I detta fall kommer strömmen vara fullt buffrad med buffertstorleken satt till LÄGE byte.

OBSERVERA: Om KOMMANDO justerar buffringen på sina standardströmmar (tee(1) gör det till exempel) då kommer detta att åsidosätta motsvarande ändringar av stdbuf. Vidare använder några filter (som dd(1) och cat(1) etc.) inte strömmar för I/O, och påverkas alltså inte av stdbuf-inställningar.

  Slutstatus:

125 om kommandot stdbuf självt misslyckas

126 om KOMMANDO hittas men inte kan startas

127 om KOMMANDO inte finns

-   annars slutstatus från KOMMANDO

EXEMPEL
tail -f access.log | stdbuf -oL cut -d ' ' -f1 | uniq
Detta kommer omedelbart visa unika poster från access.log

FEL
På GLIBC-plattformar, om man anger en buffertstorlek, t.ex., använder helt buffrat läge, kommer det resultera i odefinierat utfall.

UPPHOVSMAN
Skrivet av Padraig Brady.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
Fullständig dokumentation <https://www.gnu.org/software/coreutils/stdbuf>
eller tillgängligt lokalt via: info '(coreutils) stdbuf invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.